-moz-os-version

Non standard
Cette fonctionnalité n'est ni standard, ni en voie de standardisation. Ne l'utilisez pas pour des sites accessibles sur le Web : elle ne fonctionnera pas pour tout utilisateur. Il peut également y avoir d'importantes incompatibilités entre les implémentations et son comportement peut être modifié dans le futur.

-moz-os-version

Requires Gecko 25.0(Firefox 25.0 / Thunderbird 25.0 / SeaMonkey 2.22)

Note : Depuis Firefox 58, cette caractéristique média n'est plus disponible pour être utilisée sur du contenu web. Elle ne peut être utilisée que de façon interne (c'est-à-dire avec XUL et pour les extensions). Cf. bug 1396066 pour plus de détails.

La caractéristique média -moz-os-version, rattachée à la règle @ @media, est spécifique à Gecko et permet d'appliquer des styles en fonction de la version de Windows de l'utilisateur. Cela peut être utile afin d'adapter l'apparence d'une interface utilisateur en fonction de la version du système d'exploitation.

Syntaxe

Valeurs

windows-win7
Le système d'exploitation est Windows 7.
windows-win8
Le système d'exploitation est Windows 8.
windows-win10
Le système d'exploitation est Windows 10.


Média : media/visual
Gestion des préfixes min/max : Non

Étiquettes et contributeurs liés au document

 Contributeurs à cette page : SphinxKnight
 Dernière mise à jour par : SphinxKnight,